CANNASERVER(1M)

NAME
cannaserver - Kana-Kanji conversion server

SYNOPSIS
cannaserver [-d] [-u userid] [-inet] [-l n] [-syslog] [-p num] [ddpath]

DESCRIPTION

cannaserver provides the Kana-Kanji conversion service. Usually all users on the network can access cannaserver(1M). The scope of accessing sources (hosts, users) can be restricted using the /etc/hosts.canna file.

After starting, cannaserver(1M) immediately forks and enters the background process. Thus, you do not need to use '&' to set the background process explicitly.

When starting, cannaserver(1M) creates the UNIX domain socket /tmp/.iroha_unix/IROHA to communicate clients. The socket is deleted automatically at the end of cannaserver(1M) if no trouble occurs. The socket may exist although cannaserver(1M) is not in operation (because cannaserver(1M) terminates abnormally, for example). In this case, delete the file manually.

Specification of the dictionary to use is determined by referencing the dics.dir file of the dictionary directory according to the request from the client.

OPTIONS

ddpath
    Specifies the directory that contains the dictionary.

-inet
    The remote host can connect with the cannaserver(1M) using the inet domain socket. By the default, the cannaserver(1M) uses only UNIX domain socket. i.e. Only clients in your local machine can connect to the server.

-l n
    Outputs the cannaserver(1M) log to /tmp/canna.log. n (1 to 5) specifies the log level.

-d  Starts cannaserver(1M) in debug mode. It is executed as the foreground process. Log data at log level 5 is output to the standard output.

-u userid
    Specifies which user cannaserver(1M) runs as. By default, cannaserver(1M) runs as the user who started cannaserver(1M).

-syslog
    Outputs the cannaserver(1M) log to syslogd(8).

-p num
    If specified, cannaserver(1M) will use the port number 5680 + num. By default, cannaserver(1M) uses the port number 5680.

FILES

/tmp/.iroha_unix/IROHA[:num]
    Socket

/usr/local/lib/canna/dic/*/dics.dir
    Dictionary directory

/etc/hosts.canna
    Access control file

SEE ALSO

cannakill(1M), cannastat(1), cannacheck(1)